Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network47.3.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
47.3.0.0
Broadcast address
47.3.31.255
First usable
47.3.0.1
Last usable
47.3.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 2F030000 · Integer 788725760 to 788733951
Reverse DNS zones
0.3.47.in-addr.arpa
1.3.47.in-addr.arpa
2.3.47.in-addr.arpa
3.3.47.in-addr.arpa
4.3.47.in-addr.arpa
5.3.47.in-addr.arpa
6.3.47.in-addr.arpa
7.3.47.in-addr.arpa
8.3.47.in-addr.arpa
9.3.47.in-addr.arpa
10.3.47.in-addr.arpa
11.3.47.in-addr.arpa
12.3.47.in-addr.arpa
13.3.47.in-addr.arpa
14.3.47.in-addr.arpa
15.3.47.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101111.00000011.00000000.0000000047.3.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00101111.00000011.00000000.0000000047.3.0.0
Broadcast00101111.00000011.00011111.1111111147.3.31.255
Split into smaller subnets/26

47.3.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
147.3.0.0/2647.3.0.1 to 47.3.0.6247.3.0.6362
247.3.0.64/2647.3.0.65 to 47.3.0.12647.3.0.12762
347.3.0.128/2647.3.0.129 to 47.3.0.19047.3.0.19162
447.3.0.192/2647.3.0.193 to 47.3.0.25447.3.0.25562
547.3.1.0/2647.3.1.1 to 47.3.1.6247.3.1.6362
647.3.1.64/2647.3.1.65 to 47.3.1.12647.3.1.12762
747.3.1.128/2647.3.1.129 to 47.3.1.19047.3.1.19162
847.3.1.192/2647.3.1.193 to 47.3.1.25447.3.1.25562
947.3.2.0/2647.3.2.1 to 47.3.2.6247.3.2.6362
1047.3.2.64/2647.3.2.65 to 47.3.2.12647.3.2.12762
1147.3.2.128/2647.3.2.129 to 47.3.2.19047.3.2.19162
1247.3.2.192/2647.3.2.193 to 47.3.2.25447.3.2.25562
1347.3.3.0/2647.3.3.1 to 47.3.3.6247.3.3.6362
1447.3.3.64/2647.3.3.65 to 47.3.3.12647.3.3.12762
1547.3.3.128/2647.3.3.129 to 47.3.3.19047.3.3.19162
1647.3.3.192/2647.3.3.193 to 47.3.3.25447.3.3.25562
1747.3.4.0/2647.3.4.1 to 47.3.4.6247.3.4.6362
1847.3.4.64/2647.3.4.65 to 47.3.4.12647.3.4.12762
1947.3.4.128/2647.3.4.129 to 47.3.4.19047.3.4.19162
2047.3.4.192/2647.3.4.193 to 47.3.4.25447.3.4.25562
2147.3.5.0/2647.3.5.1 to 47.3.5.6247.3.5.6362
2247.3.5.64/2647.3.5.65 to 47.3.5.12647.3.5.12762
2347.3.5.128/2647.3.5.129 to 47.3.5.19047.3.5.19162
2447.3.5.192/2647.3.5.193 to 47.3.5.25447.3.5.25562
2547.3.6.0/2647.3.6.1 to 47.3.6.6247.3.6.6362
2647.3.6.64/2647.3.6.65 to 47.3.6.12647.3.6.12762
2747.3.6.128/2647.3.6.129 to 47.3.6.19047.3.6.19162
2847.3.6.192/2647.3.6.193 to 47.3.6.25447.3.6.25562
2947.3.7.0/2647.3.7.1 to 47.3.7.6247.3.7.6362
3047.3.7.64/2647.3.7.65 to 47.3.7.12647.3.7.12762
3147.3.7.128/2647.3.7.129 to 47.3.7.19047.3.7.19162
3247.3.7.192/2647.3.7.193 to 47.3.7.25447.3.7.25562
3347.3.8.0/2647.3.8.1 to 47.3.8.6247.3.8.6362
3447.3.8.64/2647.3.8.65 to 47.3.8.12647.3.8.12762
3547.3.8.128/2647.3.8.129 to 47.3.8.19047.3.8.19162
3647.3.8.192/2647.3.8.193 to 47.3.8.25447.3.8.25562
3747.3.9.0/2647.3.9.1 to 47.3.9.6247.3.9.6362
3847.3.9.64/2647.3.9.65 to 47.3.9.12647.3.9.12762
3947.3.9.128/2647.3.9.129 to 47.3.9.19047.3.9.19162
4047.3.9.192/2647.3.9.193 to 47.3.9.25447.3.9.25562
4147.3.10.0/2647.3.10.1 to 47.3.10.6247.3.10.6362
4247.3.10.64/2647.3.10.65 to 47.3.10.12647.3.10.12762
4347.3.10.128/2647.3.10.129 to 47.3.10.19047.3.10.19162
4447.3.10.192/2647.3.10.193 to 47.3.10.25447.3.10.25562
4547.3.11.0/2647.3.11.1 to 47.3.11.6247.3.11.6362
4647.3.11.64/2647.3.11.65 to 47.3.11.12647.3.11.12762
4747.3.11.128/2647.3.11.129 to 47.3.11.19047.3.11.19162
4847.3.11.192/2647.3.11.193 to 47.3.11.25447.3.11.25562
4947.3.12.0/2647.3.12.1 to 47.3.12.6247.3.12.6362
5047.3.12.64/2647.3.12.65 to 47.3.12.12647.3.12.12762
5147.3.12.128/2647.3.12.129 to 47.3.12.19047.3.12.19162
5247.3.12.192/2647.3.12.193 to 47.3.12.25447.3.12.25562
5347.3.13.0/2647.3.13.1 to 47.3.13.6247.3.13.6362
5447.3.13.64/2647.3.13.65 to 47.3.13.12647.3.13.12762
5547.3.13.128/2647.3.13.129 to 47.3.13.19047.3.13.19162
5647.3.13.192/2647.3.13.193 to 47.3.13.25447.3.13.25562
5747.3.14.0/2647.3.14.1 to 47.3.14.6247.3.14.6362
5847.3.14.64/2647.3.14.65 to 47.3.14.12647.3.14.12762
5947.3.14.128/2647.3.14.129 to 47.3.14.19047.3.14.19162
6047.3.14.192/2647.3.14.193 to 47.3.14.25447.3.14.25562
6147.3.15.0/2647.3.15.1 to 47.3.15.6247.3.15.6362
6247.3.15.64/2647.3.15.65 to 47.3.15.12647.3.15.12762
6347.3.15.128/2647.3.15.129 to 47.3.15.19047.3.15.19162
6447.3.15.192/2647.3.15.193 to 47.3.15.25447.3.15.25562
6547.3.16.0/2647.3.16.1 to 47.3.16.6247.3.16.6362
6647.3.16.64/2647.3.16.65 to 47.3.16.12647.3.16.12762
6747.3.16.128/2647.3.16.129 to 47.3.16.19047.3.16.19162
6847.3.16.192/2647.3.16.193 to 47.3.16.25447.3.16.25562
6947.3.17.0/2647.3.17.1 to 47.3.17.6247.3.17.6362
7047.3.17.64/2647.3.17.65 to 47.3.17.12647.3.17.12762
7147.3.17.128/2647.3.17.129 to 47.3.17.19047.3.17.19162
7247.3.17.192/2647.3.17.193 to 47.3.17.25447.3.17.25562
7347.3.18.0/2647.3.18.1 to 47.3.18.6247.3.18.6362
7447.3.18.64/2647.3.18.65 to 47.3.18.12647.3.18.12762
7547.3.18.128/2647.3.18.129 to 47.3.18.19047.3.18.19162
7647.3.18.192/2647.3.18.193 to 47.3.18.25447.3.18.25562
7747.3.19.0/2647.3.19.1 to 47.3.19.6247.3.19.6362
7847.3.19.64/2647.3.19.65 to 47.3.19.12647.3.19.12762
7947.3.19.128/2647.3.19.129 to 47.3.19.19047.3.19.19162
8047.3.19.192/2647.3.19.193 to 47.3.19.25447.3.19.25562
8147.3.20.0/2647.3.20.1 to 47.3.20.6247.3.20.6362
8247.3.20.64/2647.3.20.65 to 47.3.20.12647.3.20.12762
8347.3.20.128/2647.3.20.129 to 47.3.20.19047.3.20.19162
8447.3.20.192/2647.3.20.193 to 47.3.20.25447.3.20.25562
8547.3.21.0/2647.3.21.1 to 47.3.21.6247.3.21.6362
8647.3.21.64/2647.3.21.65 to 47.3.21.12647.3.21.12762
8747.3.21.128/2647.3.21.129 to 47.3.21.19047.3.21.19162
8847.3.21.192/2647.3.21.193 to 47.3.21.25447.3.21.25562
8947.3.22.0/2647.3.22.1 to 47.3.22.6247.3.22.6362
9047.3.22.64/2647.3.22.65 to 47.3.22.12647.3.22.12762
9147.3.22.128/2647.3.22.129 to 47.3.22.19047.3.22.19162
9247.3.22.192/2647.3.22.193 to 47.3.22.25447.3.22.25562
9347.3.23.0/2647.3.23.1 to 47.3.23.6247.3.23.6362
9447.3.23.64/2647.3.23.65 to 47.3.23.12647.3.23.12762
9547.3.23.128/2647.3.23.129 to 47.3.23.19047.3.23.19162
9647.3.23.192/2647.3.23.193 to 47.3.23.25447.3.23.25562
9747.3.24.0/2647.3.24.1 to 47.3.24.6247.3.24.6362
9847.3.24.64/2647.3.24.65 to 47.3.24.12647.3.24.12762
9947.3.24.128/2647.3.24.129 to 47.3.24.19047.3.24.19162
10047.3.24.192/2647.3.24.193 to 47.3.24.25447.3.24.25562
10147.3.25.0/2647.3.25.1 to 47.3.25.6247.3.25.6362
10247.3.25.64/2647.3.25.65 to 47.3.25.12647.3.25.12762
10347.3.25.128/2647.3.25.129 to 47.3.25.19047.3.25.19162
10447.3.25.192/2647.3.25.193 to 47.3.25.25447.3.25.25562
10547.3.26.0/2647.3.26.1 to 47.3.26.6247.3.26.6362
10647.3.26.64/2647.3.26.65 to 47.3.26.12647.3.26.12762
10747.3.26.128/2647.3.26.129 to 47.3.26.19047.3.26.19162
10847.3.26.192/2647.3.26.193 to 47.3.26.25447.3.26.25562
10947.3.27.0/2647.3.27.1 to 47.3.27.6247.3.27.6362
11047.3.27.64/2647.3.27.65 to 47.3.27.12647.3.27.12762
11147.3.27.128/2647.3.27.129 to 47.3.27.19047.3.27.19162
11247.3.27.192/2647.3.27.193 to 47.3.27.25447.3.27.25562
11347.3.28.0/2647.3.28.1 to 47.3.28.6247.3.28.6362
11447.3.28.64/2647.3.28.65 to 47.3.28.12647.3.28.12762
11547.3.28.128/2647.3.28.129 to 47.3.28.19047.3.28.19162
11647.3.28.192/2647.3.28.193 to 47.3.28.25447.3.28.25562
11747.3.29.0/2647.3.29.1 to 47.3.29.6247.3.29.6362
11847.3.29.64/2647.3.29.65 to 47.3.29.12647.3.29.12762
11947.3.29.128/2647.3.29.129 to 47.3.29.19047.3.29.19162
12047.3.29.192/2647.3.29.193 to 47.3.29.25447.3.29.25562
12147.3.30.0/2647.3.30.1 to 47.3.30.6247.3.30.6362
12247.3.30.64/2647.3.30.65 to 47.3.30.12647.3.30.12762
12347.3.30.128/2647.3.30.129 to 47.3.30.19047.3.30.19162
12447.3.30.192/2647.3.30.193 to 47.3.30.25447.3.30.25562
12547.3.31.0/2647.3.31.1 to 47.3.31.6247.3.31.6362
12647.3.31.64/2647.3.31.65 to 47.3.31.12647.3.31.12762
12747.3.31.128/2647.3.31.129 to 47.3.31.19047.3.31.19162
12847.3.31.192/2647.3.31.193 to 47.3.31.25447.3.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses